Page MenuHome

Error: Not freed memory blocks
Closed, ResolvedPublic

Description

System Information
Windows XP/SP3 32Bits

Blender Version
Broken: version 2.74 (sub 2), branch b'master', commit date b'2015-03-24' b'21:33', hash b'87cff57', b'Release'
Worked: unknown

Short description of error
Error: Not freed memory blocks: 4, total unfreed memory 0.002144 MB

Exact steps for others to reproduce the error
1.Run blender
2.Quit blender

An error was recorded when I output console log in a file.
Error: Not freed memory blocks: 4, total unfreed memory 0.002144 MB

Event Timeline

perfection cat (sindra1961) created this task.
perfection cat (sindra1961) raised the priority of this task from to Needs Triage by Developer.

I ran blender with a flag of debug-all, but the error is not recorded elsewhere.

Sergey Sharybin (sergey) triaged this task as Needs Information from User priority.

Can not confirm the issue.

Does it happen when running blender with --factory-startup command line argument? What does blender --debug-memory output looks like?

Your indication is wrong.
Some processing is not carried out if I add factory-startup argument.
If there is a cause there, the phenomenon does not happen.
The error message is not surely output when I run blender with the argument which you ordered.
However, it reappears when I run blender after deleting startup.blend.
In addition, I run blender after deleting startup.blend and make startup.blend.
Then it reappears even if I run blender again.

Take back words.
The indication is not wrong and in this case is inappropriate.
However, it is a fact that the outbreak point of the cause was limited thanks to the instructions.

I attach an error when I ran blender with debug-memory argument.

Switching to fully guarded memory allocator.
Read new prefs: C:\work\blender-2.74 Daily\2.74\config\userpref.blend
found bundled python: C:\work\blender-2.74 Daily\2.74\python
Error: Not freed memory blocks: 4, total unfreed memory 0.002144 MB

Blender quit

--------------------------------------------------------------------------------------------
The contents which were output by a Command Prompt window.

_build_translations_cache len: 44 0B2D31C0
ghash_buckets_resize len: 20 00332228
memory pool len: 36 0B2D3220
BLI_Mempool Chunk len: 1024 0B2D3278
--------------------------------------------------------------------------------------------

It does not reappear when I run blender with factory-startup argument, but reproduces it when I run blender in the state that there is not startup.blend.

I cannot reproduce here either. Can you please attach here your userpref.blend file (should be next to startup.blend one).

I found a method to produce an error surely.

1.You delete startup.blend and userpref.blend and run blender.
2.You open the user prefs.
3.You turn on dynamic spacebar menu of addon.
4.You set international fonts in ON and choose one of translate.
5.You save user prefs.
6.You finish blender.

An error should be recorded in the log output.

The log output when I set a series of setting after I started blender and carried out factory settings.

I confirmed that it reappeared in 2.74RC4.
I attach userpref.blend which I made by confirmation work.


I attach the log file.

blender-2.74-rc4-windows32.zip
version 2.74 (sub 0), branch b'master', commit date b'2015-03-26' b'16:12', hash b'3593082', b'Release'

There was a report like this before.
T30271
However, it was closed for the reason of not being able to reappear.

I do not know whether the cause of that report is the same as this.

Confirmed with blender 2.74RC4 in Windows8.1Pro x64.
Is this a problem related Japanese (or Asian multibyte) Windows? hmm...

Satoshi Yamasaki (yamyam) raised the priority of this task from Needs Information from User to Confirmed, Medium.Mar 30 2015, 4:51 PM

Issue is “simply” that app_translations_free() is not called when leaving Blender, once you enable that 'space_bar' addon…

Why this happens is pitch black mystery to me, currently… Campbell, you may have an idea?

Campbell Barton (campbellbarton) reopened this task as Open.

@Bastien Montagne (mont29), Python isn't totally reliable here, Python isn't 100% sure to free all PyObject's on exit.

Would be better to call from BPY_python_end, similar to bpy_intern_string_exit and others, See P216

Re-opening.

I think that it was good that a cause becomes clear.
I hope that it is revised so that influence is not given elsewhere.
I intend to give the words of thanks if I confirm that a problem was improved.

@Bastien Montagne (mont29)
What you revised only deleted the nonsense line from py file.
The phenomenon does not reappear in it, but it is surely only symptomatic therapy.
Why do you not improve it to identify a cause?
I think that this cause only occurs because settlement is incomplete.
I think that it is natural for a problem not to occur even if you do not delete the line.

@Bastien Montagne (mont29), @Campbell Barton (campbellbarton):
I confirmed that a problem did not recur even if I added "from bpy import *" to space_view3d_spacebar_menu.py in the latest edition.

Thank you.